package nlib.cmm.service;

import java.util.List;

import nlib.sch.util.NlibCmmUtil;

/**  
 * @Class Name : CmmAmsDocTableOfContentsVO.java
 * @author ecplaza 
 * @since 2019-10-08
 * @version 1.0
 */

@SuppressWarnings("serial")
public class CmmAmsDocTableOfContentsVO {
	
	private String title = "";
	private String pageNum = null;
	private Integer ocrFileNum = null;
	private List<String> errorList = null;

	public CmmAmsDocTableOfContentsVO() {
		super();
	}
	
	public CmmAmsDocTableOfContentsVO(String title, String pageNum, Integer ocrFileNum, List<String> errorList) {
		super();
		this.title = title;
		this.pageNum = pageNum;
		this.ocrFileNum = ocrFileNum;
		this.errorList = errorList;
	}
	
	public String toString() {
    	return NlibCmmUtil.reflectionToString(this);
    }
	
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getPageNum() {
		return pageNum;
	}
	public void setPageNum(String pageNum) {
		this.pageNum = pageNum;
	}
	public Integer getOcrFileNum() {
		return ocrFileNum;
	}
	public void setOcrFileNum(Integer ocrFileNum) {
		this.ocrFileNum = ocrFileNum;
	}

	public List<String> getErrorList() {
		return errorList;
	}

	public void setErrorList(List<String> errorList) {
		this.errorList = errorList;
	}
	
}
